DELETE Zones
Use this endpoint to delete a zone within a branch.
User level: Advanced
Endpoint
DELETE /v1/{scopeId}/zones/{id}| Property | Value |
|---|---|
| Method | DELETE |
| Scope ID | Branch UUID |
| Resource ID | Required zone UUID |
| Authentication | Authorization: Bearer <access_token> |
| Required scope | routix:zones:write |
| Request body | Not required |
Delete rules
- Zones are branch-or-null resources, but the request still uses a branch UUID in the URL.
- The API validates server-side whether the zone can be deleted within the allowed branch context.
Example request
curl -X DELETE "https://api.routix.com/v1/550e8400-e29b-41d4-a716-446655440000/zones/550e8400-e29b-41d4-a716-446655440081" \
-H "Authorization: Bearer eyJhbGciOiJIUzI1NiIs..."Example response
{
"data": {
"id": "550e8400-e29b-41d4-a716-446655440081",
"deleted": true
},
"version": "v1"
}Last updated on

